Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang.annotation
Class AnnotationTypeMismatchException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.annotation.AnnotationTypeMismatchException

All Implemented Interfaces:
  Serializable

    public class AnnotationTypeMismatchException

extends RuntimeException

Thrown to indicate that a program has attempted to access an element of an annotation whose type has changed after the annotation was compiled (or serialized).

Since:
  1.5
See Also:
  Serialized Form

Constructor Summary
`AnnotationTypeMismatchException(Method element, String foundType)` Constructs an AnnotationTypeMismatchException for the specified annotation type element and found data type.

Method Summary
`Method` | `element()` Returns the `Method` object for the incorrectly typed element.
`String` | `foundType()` Returns the type of data found in the incorrectly typed element.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnnotationTypeMismatchException

    public AnnotationTypeMismatchException(Method element,
                                           String foundType)

  Constructs an AnnotationTypeMismatchException for the specified annotation type element and found data type.

  Parameters:
    `element` - the `Method` object for the annotation element
    `foundType` - the (erroneous) type of data found in the annotation. This string may, but is not required to, contain the value as well. The exact format of the string is unspecified.

Method Detail

### element

    public Method element()

  Returns the `Method` object for the incorrectly typed element.

  Returns:
    the `Method` object for the incorrectly typed element

### foundType

    public String foundType()

  Returns the type of data found in the incorrectly typed element. The returned string may, but is not required to, contain the value as well. The exact format of the string is unspecified.

  Returns:
    the type of data found in the incorrectly typed element

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.